Page MenuHomePhabricator

Move mobileapps logging to new logging pipeline
Closed, ResolvedPublic

Description

We need to move #mobileapps to the new logging pipeline. The config should be updated similar to https://gerrit.wikimedia.org/r/#/c/mediawiki/services/change-propagation/deploy/+/500813 and newest node dependencies should be used (newest version of service-runner.

Event Timeline

Pchelolo created this task.Apr 2 2019, 7:26 PM
LGoto triaged this task as Medium priority.Apr 3 2019, 3:38 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.
Mholloway renamed this task from Move mobile apps logging to new logging pipeline to Move mobileapps logging to new logging pipeline.Mar 5 2020, 4:23 PM
Mholloway claimed this task.

Hmm, is this still worth doing if mobileapps is finally moving to k8s soon (T218733)? Same question for Proton (T219925), which is also moving over soon.

Hmm, is this still worth doing if mobileapps is finally moving to k8s soon (T218733)? Same question for Proton (T219925), which is also moving over soon.

Good point re: moving to k8s, in that case then a recent version of service-runner (afaik) and logging to stdout only in the chart's configuration will do the right thing and send logs to the logging pipeline when running in k8s. Ditto for Proton!

What's your expectation on the timeline to move mobileapps + proton to k8s? We (Observability) would like to shut down all non Kafka logstash inputs by end of this fiscal year.

@fgiunchedi This should be finished by April at the latest for both services. AIUI that's when SCB is planned to be decommissioned.

fgiunchedi changed the task status from Open to Stalled.Mar 9 2020, 11:53 AM

@fgiunchedi This should be finished by April at the latest for both services. AIUI that's when SCB is planned to be decommissioned.

Excellent news, thanks for the update. In that case +1 to piggyback logging for mobileapps/proton with the move to k8s. I'm setting the logging tasks to stalled for now.

fgiunchedi closed this task as Resolved.Mon, Sep 7, 4:44 PM
fgiunchedi claimed this task.

AFAICS mobileapps now is logging fully to k8s, thus resolving! Thanks everyone